### Function

# FwupdPlugin v4l_cap_to_string

since: 1.0

#### Declaration [src]

    gchar*
    fu_v4l_cap_to_string (
      FuV4lCap val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 1.0

#### Parameters

`val`

  Type: `FuV4lCap`

  Value, e.g. `FU_V4L_CAP_VIDEO_CAPTURE`.

#### Return value

Type: `gchar*`

Identifier string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.